SystemOrganization addCategory: #ConfigurationOfGlamoroust!

Object subclass: #ConfigurationOfGlamoroust
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfGlamoroust'!

!ConfigurationOfGlamoroust classSide methodsFor: 'private' stamp: 'tg 1/20/2010 01:26'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) project latestVersion load: #('default' 'UI') ]! !

!ConfigurationOfGlamoroust classSide methodsFor: 'metacello tool support' stamp: 'tg 1/20/2010 01:26'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfGlamoroust classSide methodsFor: 'loading' stamp: 'tg 1/20/2010 01:29'!
loadDefault
	(self project version: 'default') load! !

!ConfigurationOfGlamoroust methodsFor: 'baselines' stamp: 'tg 1/20/2010 01:31'!
default: spec 
	<version: 'default'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/glamoroust'.
		spec 
			package: 'GT-Model';
			package: 'GT-Tools' with: [ spec requires: #('GT-Model') ].
		spec project: 'Glamour' with: [
				spec
					className: 'ConfigurationOfGlamour';
					file: 'ConfigurationOfGlamour';
					version: 'default';
					repository: 'http://www.squeaksource.com/Glamour' ].
	]! !
